double isawidth(double, double);

static double tk=1.0;

static double m_t, m_h, m_hh, m_hc, m_alpha;

double setomass(double mt, double mh, double mhh, double mhc,
	double alpha)
{
	m_t=mt;
	m_h=mh;
	m_hh=mhh;
	m_hc=mhc;
	m_alpha=alpha;
	return tk;
}

double calcwidth(double mg,double mu,double mha,double tanb,double mq1,
	  double mdr,double mur, double ml1,double mer,double mq2,
	  double msr,double mcr,double ml2,double mmr,double mq3,double mbr,
	  double mtr,double  ml3,double mlr,double at,double ab, double al,
	  double m1,double m2, double add_tk )
{
	
	float xmg,xmu,xmha,xtanb,xmq1,xmdr,xmur,
      xml1,xmer,xmq2,xmsr,xmcr,xml2,xmmr,xmq3,xmbr,xmtr,
      xml3,xmlr,xat,xab,xal,xm1,xm2,xmt, xmh, xmhh, xmhc, xalpha;
	int iallow,imodel;
	
	xmg=mg; xm1=m1; xm2=m2;
	xmt=m_t;
	xmu=mu;
	xmha=mha;
	xtanb=tanb;
	xmq1=mq1; xmdr=mdr; xmur=mur; xml1=ml1; xmer=mer; 
	xmq2=mq2; xmsr=msr; xmcr=mcr; xml2=ml2; xmmr=mmr;
	xmq3=mq3; xmbr=mbr; xmtr=mtr; xml3=ml3; xmlr=mlr;
	xat=at; xab=ab; xal=al;
	xmh=m_h; xmhh=m_hh; xmhc=m_hc; xalpha=m_alpha;
/*	xmh=70.0; xmhh=mha+5.0; xmhc=xmha+10.0; xalpha=-0.5;*/
	
	
	imodel=1;
	
	ssmssm1_(&xmg,&xmu,&xmha,&xtanb,&xmq1,&xmdr,&xmur,
      &xml1,&xmer,&xmq2,&xmsr,&xmcr,&xml2,&xmmr,&xmq3,&xmbr,&xmtr,
      &xml3,&xmlr,&xat,&xab,&xal,&xm1,&xm2,&xmt,
	  &xmh, &xmhh, &xmhc, &xalpha, &iallow,&imodel);
	
	printf("iallow = %d\n",iallow);
	tk+=1.0;
	return tk;
}



float ssvalue_(int *);

double isawidth(double no, double tkn)
{
	int ind;
	if((int)tk!=(int)tkn)
		printf("Width calculation error\n");
	
	ind=(int)no;
	return ssvalue_(&ind);
}
